Bug 1197347 - The 'synr==0.5.0' distribution was not found and is required by tvm
The 'synr==0.5.0' distribution was not found and is required by tvm
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Basesystem
Leap 15.4
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Guillaume GARDET
E-mail List
https://openqa.opensuse.org/tests/225...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2022-03-21 13:30 UTC by Lubos Kocman
Modified: 2022-04-06 08:08 UTC (History)
2 users (show)

See Also:
Found By: openQA
Services Priority:
Business Priority:
Blocker: Yes
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lubos Kocman 2022-03-21 13:30:42 UTC
## Observation

tvm now fails fails at The 'sysnr==0.5.0' distribution was not found and is required by tvm


openQA test in scenario opensuse-15.4-DVD-aarch64-extra_tests_ai_ml@aarch64 fails in
[tvm](https://openqa.opensuse.org/tests/2255573/modules/tvm/steps/17)

## Test suite description
Test AI/ML software


## Reproducible

Fails since (at least) Build [124.1](https://openqa.opensuse.org/tests/2087909)


## Expected result

Last good: (unknown) (or more recent)


## Further details

Always latest result in this scenario: [latest](https://openqa.opensuse.org/tests/latest?arch=aarch64&distri=opensuse&flavor=DVD&machine=aarch64&test=extra_tests_ai_ml&version=15.4)
Comment 1 Guillaume GARDET 2022-03-21 13:37:54 UTC
This is a weird issue, since the same TVM package works on Tumbleweed where sysnr is also at 0.6.0.
Comment 2 Lubos Kocman 2022-03-21 13:45:06 UTC
Interesting, let's ask python@ for help.
Comment 3 Lubos Kocman 2022-03-21 13:47:00 UTC
lkocman@localhost:/etc/openvpn> osc rdiff openSUSE:Factory tvm openSUSE:Backports:SLE-15-SP4
lkocman@localhost:/etc/openvpn> 

Confirming no diff
Comment 4 Lubos Kocman 2022-03-21 13:52:47 UTC
Code of the test https://openqa.opensuse.org/tests/2255573/modules/tvm/steps/1/src

The runtime in openQA that raises the exception:
assert_script_run('tvmc tune --target "llvm" --output autotuner_records.json resnet50-v2-7.onnx', timeout => 600);
Comment 5 Benjamin Greiner 2022-03-21 14:40:47 UTC
The reason is importlib (Tumbleweed) vs pkg_resources (SLE/Leap):

This is the entrypoint (on a Tumbleweed system):


$ cat /usr/bin/tvmc
#!/usr/bin/python3.8
# EASY-INSTALL-ENTRY-SCRIPT: 'tvm==0.8.0','console_scripts','tvmc'
import re
import sys

# for compatibility with easy_install; see #2198
__requires__ = 'tvm==0.8.0'

try:
    from importlib.metadata import distribution
except ImportError:
    try:
        from importlib_metadata import distribution
    except ImportError:
        from pkg_resources import load_entry_point


pkg_resources trips over the exact pinning found in the python metadata. Importlib ignores it at this point.

You have to patch out the exact pinning (after having determined why upstream put it there, and being sure that you can get away with not follwing it) in tvm's python/gen_requirements.py, line 254
Comment 6 openQA Review 2022-04-05 00:01:25 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: extra_tests_ai_ml
https://openqa.opensuse.org/tests/2279836#step/tvm/1

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`

Expect the next reminder at the earliest in 28 days if nothing changes in this ticket.
Comment 7 Guillaume GARDET 2022-04-06 08:08:19 UTC
Will be fixed by https://build.opensuse.org/request/show/967222